BIO_ALLOC_BIOSET(9)

NAME
bio_alloc_bioset - allocate a bio for I/O

SYNOPSIS

struct bio * bio_alloc_bioset (gfp_t gfp_mask, int nr_iovecs, struct bio_set * bs);

ARGUMENTS

gfp_mask
    the GFP_ mask given to the slab allocator

nr_iovecs
    number of iovecs to pre-allocate

bs  the bio_set to allocate from

DESCRIPTION

bio_alloc_bioset will first try it's on mempool to satisfy the allocation. If __GFP_WAIT is set then we will block on the internal pool waiting for a &struct bio to become free.

allocate bio and iovecs from the memory pools specified by the bio_set structure.